MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025492Community[OCCT] OCCT:Visualizationpublic2014-11-18 18:012015-05-14 15:32
Reporterid_wangyue 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSredhat enterprise 6.0OS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025492: the selected subshape does not have topological relationship with orginal shape in OCC680
Descriptionin topic : "http://www.opencascade.org/org/forum/thread_26651/?forum=3" [^] , I have attached one code for testing subshape selection. this code is developed from the example of occ.

the code can give the right result with occ671, but not with occ680.

I think it is a bug for occ680.
Steps To Reproducetest bugs vis bug25492
TagsNo tags attached.
Test case numberbugs vis(004) bug25492
Attached Filesgz file icon occtest_Viewer.tar.gz (143,149 bytes) 2014-11-18 18:01

- Relationships
related to 0025538closedbugmaster Crash when removing a selected interactive object. 
related to 0025603closedbugmaster General Fuse: A rectangle face and a box do general fuse, the edges' modified history of the rectangle face are missing. 
related to 0025627closedbugmaster SelectedShape() and HasSelectedShape() of AIS_InteractiveContext class do not work as expected. 

-  Notes
(0034751)
Vico Liang (developer)
2014-11-27 15:26

Hi kgv,

I get the same issue about the selected sub-shapes in OCCT6.8.0. The feature works in OCCT6.7.1. The "Severity" of this issue might be promoted to critical since without correction, it's impossible to use the interactive selection feature of OCCT. It breaks the basic workflow of user interactive.

Thanks,
Vico
(0034852)
git (administrator)
2014-11-28 19:04

Branch CR25492 has been created by aba.

SHA-1: ea95ef5c2b3bead59233ddab28bbba11391e17ae


Detailed log of new commits:

Author: aba
Date: Fri Nov 28 19:04:24 2014 +0300

    0025492: the selected subshape does not have topological relationship with orginal shape in OCC680:
    
    returned identity owner location if the selectable object has identity transformation
(0034853)
Vico Liang (developer)
2014-11-29 15:58

The subshape selection issue seems fixed, but there is another new issue reported as http://tracker.dev.opencascade.org/view.php?id=25538, [^] i'm not sure 0025538 has any relation to this. Anyway, 0025538 doesn't exsit before this updating.
(0034860)
git (administrator)
2014-12-01 11:25

Branch CR25492 has been updated forcibly by aba.

SHA-1: d0a6a36f34a053e92f27e39a5afee1da13821f2c
(0034861)
aba (developer)
2014-12-01 11:31

Dear san,

could you please review the git branch CR25492?
(0034954)
git (administrator)
2014-12-03 10:42

Branch CR25492 has been updated by aba.

SHA-1: 730f567b980a84d68142798011c7a86ad6885356


Detailed log of new commits:

Author: aba
Date: Wed Dec 3 10:42:42 2014 +0300

    corrected test case

(0034979)
git (administrator)
2014-12-03 18:24

Branch CR25492 has been updated forcibly by aba.

SHA-1: 56e685d0d6a2d4d5c396c40c88a33ab1c1b31572
(0034996)
san (developer)
2014-12-04 11:20

Branch CR25492 reviewed without remarks, ready for testing.
(0035082)
git (administrator)
2014-12-05 18:34

Branch CR25492 has been updated forcibly by apv.

SHA-1: 444f8a970c441dde349eb5d4790431d6350cc3f1
(0035083)
apv (tester)
2014-12-05 18:35

Branch CR25492 has been rebased on the current master
(0035146)
apv (tester)
2014-12-08 17:09

Dear BugMaster,

Branch CR25492 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 444f8a970c441dde349eb5d4790431d6350cc3f1

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis(004) bug25492 - OK
http://occt-tests/CR25492-master-occt/Debian60-64/bugs/vis/bug25492.html [^]
http://occt-tests/CR25492-master-occt/Windows-32-VC10/bugs/vis/bug25492.html [^]

Testing on Linux:
Total MEMORY difference: 364010728 / 363562240
Total CPU difference: 47536.2100000002 / 47537.4299999999

Testing on Windows:
Total MEMORY difference: 276258744 / 277181316
Total CPU difference: 53356.609375 / 41681.890625

There are differences in images found by testdiff:
http://occt-tests/CR25492-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25492-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0035389)
Vico Liang (developer)
2014-12-13 15:03

The fix break another feature of selection in Neutral Point. The main shape selected in Neutral Point is not the real shape, the selected main shape has the same TShape and but different Location with real shape. The subshape selection is correct in local Context mode.
(0035395)
Vico Liang (developer)
2014-12-14 05:11

More details for bug fixing:
If the shape is a solid, and then changing the selection mode to Solid mode in local context, the returned shape is the main shape which should be the result in Neutral Point mode. The only difference is the Location.
(0036590)
git (administrator)
2015-01-26 12:36

Branch CR25492 has been deleted by inv.

SHA-1: 444f8a970c441dde349eb5d4790431d6350cc3f1

- Related Changesets
occt: master 8a864791
Timestamp: 2014-12-03 15:21:00
Author: aba
Committer: bugmaster
Details ] Diff ]
0025492: the selected subshape does not have topological relationship with orginal shape in OCC680:

returned identity owner location if the selectable object has identity transformation.
mod - src/SelectMgr/SelectMgr_EntityOwner.cxx Diff ] File ]
add - tests/bugs/vis/bug25492 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-18 18:01 id_wangyue New Issue
2014-11-18 18:01 id_wangyue Assigned To => kgv
2014-11-18 18:01 id_wangyue File Added: occtest_Viewer.tar.gz
2014-11-27 15:26 Vico Liang Note Added: 0034751
2014-11-27 15:39 kgv Assigned To kgv => aba
2014-11-28 19:04 git Note Added: 0034852
2014-11-29 15:48 Vico Liang Relationship added related to 0025538
2014-11-29 15:58 Vico Liang Note Added: 0034853
2014-11-29 16:08 kgv Status new => assigned
2014-12-01 11:25 git Note Added: 0034860
2014-12-01 11:31 aba Note Added: 0034861
2014-12-01 11:31 aba Assigned To aba => san
2014-12-01 11:31 aba Status assigned => resolved
2014-12-01 11:31 aba Steps to Reproduce Updated View Revisions
2014-12-03 10:42 git Note Added: 0034954
2014-12-03 18:24 git Note Added: 0034979
2014-12-04 11:20 san Note Added: 0034996
2014-12-04 11:20 san Assigned To san => bugmaster
2014-12-04 11:20 san Status resolved => reviewed
2014-12-05 16:54 mkv Assigned To bugmaster => mkv
2014-12-05 16:54 mkv Assigned To mkv => apv
2014-12-05 18:34 git Note Added: 0035082
2014-12-05 18:35 apv Note Added: 0035083
2014-12-08 17:09 apv Note Added: 0035146
2014-12-08 17:09 apv Assigned To apv => bugmaster
2014-12-08 17:09 apv Status reviewed => tested
2014-12-08 17:10 apv Test case number => bugs vis(004) bug25492
2014-12-13 15:03 Vico Liang Note Added: 0035389
2014-12-13 15:13 Vico Liang Relationship added related to 0025603
2014-12-14 05:05 Vico Liang Assigned To bugmaster => aba
2014-12-14 05:11 Vico Liang Note Added: 0035395
2014-12-16 16:46 bugmaster Changeset attached => occt master 8a864791
2014-12-16 16:46 bugmaster Assigned To aba => bugmaster
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2014-12-17 17:57 Vico Liang Relationship added related to 0025627
2015-01-19 16:21 bugmaster Target Version => 6.9.0
2015-01-26 12:36 git Note Added: 0036590
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker